//
//  BackstoryLayer.m
//  Maestro
//
//  Created by Matthew McGlincy on 4/1/12.
//  Copyright (c) 2012 n/a. All rights reserved.
//

#import "BackstoryLayer.h"
#import "GameScene.h"
#import "GameSoundManager.h"

@implementation BackstoryLayer

- (id)init
{
    self = [super init];                                           
    if (self != nil) {             
        self.isTouchEnabled = YES;

        CCSprite *backgroundImage;
        backgroundImage = [CCSprite spriteWithFile:@"backstory_background.png"];
        
        CGSize screenSize = [[CCDirector sharedDirector] winSize];
        [backgroundImage setPosition:
         CGPointMake(screenSize.width/2, screenSize.height/2)];
        
        [self addChild:backgroundImage z:-1 tag:0];
    }
    return self;
}

#pragma mark - touch handlers

- (void)ccTouchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
    [[GameSoundManager sharedInstance].soundEngine playEffect:SOUND_MENU_1];
    [[CCDirector sharedDirector] replaceScene:[CCTransitionCrossFade transitionWithDuration:0.5f scene:[GameScene nodeWithLevelNum:0]]];
}

- (void)ccTouchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
{
}

- (void)ccTouchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
    
}

@end
